Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Upload File

POST/api/v1/uploads
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Request body
requiredmultipart/form-data
filestringrequired
Responses
201Successful Response
successboolean
default: true
dataUploadedAsset | any
Show properties
Any of:
UploadedAsset
urlstringrequired
keystringrequired
namestringrequired
sizeintegerrequired
content_typestringrequired
widthinteger | any
Show properties
Any of:
integer
integer
any
any
heightinteger | any
Show properties
Any of:
integer
integer
any
any
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "/api/v1/uploads" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: multipart/form-data" \
  -d '{
  "file": "string"
}'
Response
{
  "success": true,
  "data": {
    "url": "string",
    "key": "string",
    "name": "string",
    "size": 0,
    "content_type": "string",
    "width": 0,
    "height": 0
  },
  "message": "string",
  "errors": [
    "string"
  ]
}